Subject: [its] Updated I-D on "DNS Name Autoconfiguration for Internet of Things Devices"

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 20 Jul 2016 08:26:43 +0900

Hi all,
I have posted a revised its I-D:
- Title
   DNS Name Autoconfiguration for Internet of Things Devices

- File
   https://tools.ietf.org/html/draft-jeong-its-iot-dns-autoconf-01

- Abstract
   This document specifies an autoconfiguration scheme for the global
   (or local) DNS names of Internet of Things (IoT) devices, such as
   sensors, actuators, and in-vehicle units.  By this scheme, the DNS
   name of an IoT device can be autoconfigured with the device's model
   information in wired and wireless target networks (e.g., vehicle,
   road network, home, office, shopping mall, and smart grid).  This DNS
   name lets IoT users (e.g., drivers, passengers, home residents, and
   customers) in the Internet (or local network) easily identify each
   device for monitoring and remote-controlling it in the target
   network.

In this draft, we propose DNS naming services for IoT devices including ITS
devices.
This draft seems to be input for DNS autoconfiguration, DNS name resolution,
device discovery, and service discovery for vehicles, RSUs, in-vehicle
devices, and vehicular applications.

These DNS naming and service discovery are parts of the Problem Statement
for V2I networking:
https://tools.ietf.org/html/draft-jeong-its-v2i-problem-statement-02

It will be great for you to take a look at this I-D and give us comments or
suggestions.

Thanks.

Best Regards,
Paul
-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Assistant Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thu, 21 Jul 2016 01:30:31 +0200

Hi Dick,
RFC 4944 (Transmission of IPv6 Packets over IEEE 802.15.4 Networks)
discusses how to handle the MTU size (i.e., 1280 bytes) for IPv6 packets
over IEEE 802.15.4.
We can support a long DNS name by using the techniques (such as adaptation
layer and
header compression) that are specified in RFC 4944.

For the low capacity networks, we may think a compact DNS name format.

However, in vehicular networks, since we consider Ethernet for the internal
network of a vehicle or RSU,
and also IEEE 802.11p for the external network between vehicles or between
a vehicle and an RSU,
the long DNS name format will be fine.

Thanks.

Best Regards,
Paul

On Wed, Jul 20, 2016 at 3:12 AM, Dick Roy <[email-masked]> wrote:

> It strikes me that these IoT names will get quite long, perhaps much
> longer than the max MTU size of an 802.15 PPDU.  The transmission of the
> name in every PDU would seem to be excessive overhead that somehow should
> be avoided.  Are such issues being considered?
>
>
>
> RR
>
>
> ------------------------------
>
> *From:* Mr. Jaehoon Paul Jeong [mailto:[email-masked]]
> *Sent:* Tuesday, July 19, 2016 4:27 PM
> *To:* [email-masked]
> *Cc:* 이근태; Sejun Lee; Mr. Jaehoon Paul Jeong; JungSoo Park
> *Subject:* [its] Updated I-D on "DNS Name Autoconfiguration for Internet
> of Things Devices"
>
>
>
> Hi all,
>
> In this draft, we propose DNS naming services for IoT devices including
> ITS devices.
>
> It will be great for you to take a look at this I-D and give us comments
> or suggestions.
>
>
>
> Thanks.
>
>
>
> Best Regards,
>
> Paul
>
> --
>